--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method sanitizes a username by chomping, downcasing and replacing any nonalphanumeric character with _
full_name: Irc::Bot::Auth::BotUser::sanitize_username
is_singleton: true
name: sanitize_username
params: (name)
visibility: public
